Loading...
Searching...
No Matches
CJetFlyingObject Class Referenceabstract

Interface for objects that can fly using a jet engine. More...

`#include <src/object/interface/jet_flying_object.h>`

Inheritance diagram for CJetFlyingObject:
[legend]

## Public Member Functions

| CJetFlyingObject (ObjectInterfaceTypes &types)
virtual void | SetRange (float range)=0
| Sets jet engine heating speed (bigger = slower, 0 for infinite).
virtual float | GetRange ()=0
| Returns jet engine heating speed (bigger = slower, 0 for infinite).
virtual void | SetReactorRange (float reactorRange)=0
| Sets current jet engine heat level (this is actually how much is left before it overheats, so smaller = more hot).
virtual float | GetReactorRange ()=0
| Returns current jet engine heat level (this is actually how much is left before it overheats, so smaller = more hot).
Public Member Functions inherited from CFlyingObject
| CFlyingObject (ObjectInterfaceTypes &types)
Public Member Functions inherited from CMovableObject
| CMovableObject (ObjectInterfaceTypes &types)
virtual CPhysics * | GetPhysics ()=0
| Returns CPhysics instance associated with this object. If the object implements Movable interface, and type != OBJECT_TOTO, this can be assumed to be != nullptr.
virtual CMotion * | GetMotion ()=0
| Returns CMotion instance associated with this object. If the object implements Movable interface, this can be assumed to be != nullptr.

## Detailed Description

Interface for objects that can fly using a jet engine.

## Member Function Documentation

## SetRange()

virtual void CJetFlyingObject::SetRange | ( | float | range | ) |

pure virtual

Sets jet engine heating speed (bigger = slower, 0 for infinite).

Implemented in COldObject.

## GetRange()

virtual float CJetFlyingObject::GetRange | ( |  | ) |

pure virtual

Returns jet engine heating speed (bigger = slower, 0 for infinite).

Implemented in COldObject.

## SetReactorRange()

virtual void CJetFlyingObject::SetReactorRange | ( | float | reactorRange | ) |

pure virtual

Sets current jet engine heat level (this is actually how much is left before it overheats, so smaller = more hot).

Implemented in COldObject.

## GetReactorRange()

virtual float CJetFlyingObject::GetReactorRange | ( |  | ) |

pure virtual

Returns current jet engine heat level (this is actually how much is left before it overheats, so smaller = more hot).

Implemented in COldObject.

The documentation for this class was generated from the following file:

- src/object/interface/jet_flying_object.h